#ifndef cGamePlayer_H
#define cGamePlayer_H

#include "cGameObject.h"

class cGamePlayer :
	public cGameObject{

protected:
	bool bJumping;
	int dx, dy;

	void KeyboardControl();
public:
	cGamePlayer();
	virtual ~cGamePlayer();

	virtual int GetClassID(){ return CLASS_cGamePlayer; }
	virtual int GetPicNo(){ return 0 + PicNo; }
	virtual int Act();

	int GetX(){ return x; }
	int GetY(){ return y; }

	void SetX(int _x){ x = _x; }
	void SetY(int _y){ y = _y; }

};

#endif
